/// <reference types="react" />
import * as React from 'react';
import { IntercomType } from './utilities';
export interface User {
    user_id?: string;
    email?: string;
    [key: string]: any;
}
export interface Props {
    appId: string;
    user?: User;
    open?: boolean;
    launcher?: boolean;
    onOpen?(): void;
    onClose?(): void;
    onUnreadCountChange?(unreadCount: number): void;
    onInitialization?(intercom: IntercomType): void;
}
export interface State {
    frame: HTMLIFrameElement | null;
}
declare class Intercom extends React.PureComponent<Props, State> {
    static defaultProps: Partial<Props>;
    state: State;
    componentWillReceiveProps({open: nextOpen, user: nextUser}: Props): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private updateState({open, animating, borderlessFrameSizes});
    private initializeIntercom(frame);
    private getIntercom();
    private injectCustomLauncherStyles();
    private handleBorderlessFrameSizesUpdate(borderlessFrameSizes);
}
export default Intercom;
